/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workreceiptssettle.service;

import java.util.List;

import com.jeeplus.modules.workreceiptssettle.dao.WorkReceiptsSettleInvoiceDao;
import com.jeeplus.modules.workreceiptssettle.entity.WorkReceiptsSettleInvoice;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;

/**
 * 收入结算Service
 * @author ssrh
 * @version 2018-06-28
 */
@Service
@Transactional(readOnly = true)
public class WorkReceiptsSettleInvoiceService extends CrudService<WorkReceiptsSettleInvoiceDao, WorkReceiptsSettleInvoice> {

	public WorkReceiptsSettleInvoice get(String id) {
		return super.get(id);
	}
	
	public List<WorkReceiptsSettleInvoice> findList(WorkReceiptsSettleInvoice workReceiptsSettleInvoice) {
		return super.findList(workReceiptsSettleInvoice);
	}
	
	public Page<WorkReceiptsSettleInvoice> findPage(Page<WorkReceiptsSettleInvoice> page, WorkReceiptsSettleInvoice workReceiptsSettleInvoice) {
		return super.findPage(page, workReceiptsSettleInvoice);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkReceiptsSettleInvoice workReceiptsSettleInvoice) {
		super.save(workReceiptsSettleInvoice);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkReceiptsSettleInvoice workReceiptsSettleInvoice) {
		super.delete(workReceiptsSettleInvoice);
	}


    public void deleteBySettleId(String settleId) {
        dao.deleteBySettleId(settleId);
    }
}